Skip to content
Documentation
Explore guides

For administrators

Contacts

List, create, show, update, and delete CRM contacts.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all contacts

GET /api/v3/contacts

Parameter Type Description
q string Optional name search.
company_id string (UUID) Optional company id.

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Alex Rivera",
    "title": "Operations lead",
    "email": "alex@example.com",
    "company_id": "55129d78-0281-4e72-aca1-8d547a2df814",
    "company_name": "Company name"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Jordan Lee",
    "title": "Operations lead",
    "email": "alex@example.com",
    "company_id": "55129d78-0281-4e72-aca1-8d547a2df814",
    "company_name": "Company name"
  }
]

Create a contact

POST /api/v3/contacts

Request

{
  "name": "Alex Rivera",
  "title": "Operations lead",
  "email": "alex@example.com",
  "company_id": "55129d78-0281-4e72-aca1-8d547a2df814"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Alex Rivera",
  "title": "Operations lead",
  "email": "alex@example.com",
  "company_id": "55129d78-0281-4e72-aca1-8d547a2df814",
  "company_name": "Company name"
}

Show a contact

GET /api/v3/contacts/{contact_id}

Parameter Type Description
contact_id string (UUID) Contact id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Alex Rivera",
  "title": "Operations lead",
  "email": "alex@example.com",
  "company_id": "55129d78-0281-4e72-aca1-8d547a2df814",
  "company_name": "Company name"
}

Update a contact

PUT /api/v3/contacts/{contact_id}

Request

{
  "name": "Alex Rivera",
  "title": "Director",
  "email": "alex@example.com",
  "company_id": "55129d78-0281-4e72-aca1-8d547a2df814"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Alex Rivera",
  "title": "Director",
  "email": "alex@example.com",
  "company_id": "55129d78-0281-4e72-aca1-8d547a2df814",
  "company_name": "Company name"
}

Delete a contact

DELETE /api/v3/contacts/{contact_id}

Response 200

{}